Skip to main content
POST
getTokenAccountsByOwner
New Feature: getTokenAccountsByOwner now supports the changedSinceSlot parameter for incremental updates. When specified, the method returns only token accounts that have been modified at or after the given slot number. This is ideal for tracking token balance changes and portfolio updates.

Request Parameters

string
required
Solana wallet address (pubkey) of the account owner to query token holdings for, as a base-58 encoded string.
string
Specific Solana token mint address to retrieve only accounts for a particular token or NFT.
string
Specific Solana token program ID (typically SPL Token program) that created the token accounts.
string
The commitment level for the request.
  • confirmed
  • finalized
  • processed
number
The minimum slot that the request can be evaluated at.
object
Request a slice of the account’s data.
number
Number of bytes to return.
number
Byte offset from which to start reading.
string
Encoding format for Account data.
  • base58
  • base64
  • base64+zstd
  • jsonParsed
number
Only return accounts that were modified at or after this slot number. Useful for incremental updates.

Authorizations

api-key
string
query
required

Your Helius API key. You can get one for free in the dashboard.

Body

application/json
jsonrpc
enum<string>
default:2.0

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string
default:1

A unique identifier for the request.

Example:

"1"

method
enum<string>
default:getTokenAccountsByOwner

The name of the RPC method to invoke.

Available options:
getTokenAccountsByOwner
Example:

"getTokenAccountsByOwner"

params
string · object · object[]

Parameters for querying token accounts owned by a specific public key.

Solana wallet address (pubkey) of the account owner to query token holdings for, as a base-58 encoded string.

Example:

"A1TMhSGzQxMr1TboBKtgixKz1sS6REASMxPo1qsyTSJd"

Response

Successfully retrieved token accounts by owner.

jsonrpc
enum<string>

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string

Identifier matching the request.

Example:

"1"

result
object

Context and account details.